## digitemp 3.3.2

=== Makefile ===
#
# Makefile for DigiTemp
#
# Copyright 1996-2004 by Brian C. Lane <bcl@brianlane.com>
# See COPYING for GNU Public License
#
# Please note that this Makefile *needs* GNU make. BSD make won't do.
#
# To enable USB you need to add -DOWUSB to CFLAGS for the SYSTYPE you are
# compiling on. Only tested on Linux
#
# To disable Lockfile support on Linux, remove the -DLOCKDEV and the
# -llockdev in the Linux SYSTYPE section
#

VERSION = 3.3.2


CC	= gcc
CFLAGS	= -I./src -I./userial -O2 # -g -Wall
LIBS	= -lm

OBJS		=	src/digitemp.o src/device_name.o
HDRS		= 	src/digitemp.h src/device_name.h

# Common userial header/source
HDRS		+=	userial/ownet.h userial/owproto.h userial/ad26.h \
			src/device_name.h src/digitemp.h
OBJS		+=	userial/crcutil.o userial/ioutil.o userial/swt1f.o \
			userial/owerr.o userial/cnt1d.o userial/ad26.o

# DS9097 passive adapter support source
DS9097OBJS	=	userial/ds9097/ownet.o userial/ds9097/linuxlnk.o \
			userial/ds9097/linuxses.o userial/ds9097/owtran.o \
                        src/ds9097.o

# DS9097-U adapter support source
DS9097UOBJS	=	userial/ds9097u/ds2480ut.o userial/ds9097u/ownetu.o \
			userial/ds9097u/owllu.o userial/ds9097u/owsesu.o \
			userial/ds9097u/owtrnu.o userial/ds9097u/linuxlnk.o \
                        src/ds9097u.o

# DS2490 adapter support
DS2490OBJS	=	userial/ds2490/ownet.o userial/ds2490/owtran.o \
			userial/ds2490/usblnk.o userial/ds2490/usbses.o \
			src/ds2490.o

# -----------------------------------------------------------------------
# Sort out what operating system is being run and modify CFLAGS and LIBS
#
# If you add a new OSTYPE here please email it to me so that I can add
# it to the distribution in the next release
# -----------------------------------------------------------------------
SYSTYPE := $(shell uname -s)

ifeq ($(SYSTYPE), Linux)
  CFLAGS += -DLINUX

  # Set LOCK to yes for serial port locking support
  LOCK = yes

endif

ifeq ($(SYSTYPE), SunOS)
  CFLAGS += -DSOLARIS
  LIBS   += -lposix4
endif

ifeq ($(SYSTYPE), FreeBSD)
  CFLAGS += -DFREEBSD
endif

ifeq ($(SYSTYPE), OpenBSD)
  CFLAGS += -DOPENBSD
endif

# Untested, but should work.
ifeq ($(SYSTYPE), NetBSD)
  CFLAGS += -DNETBSD
endif

ifeq ($(SYSTYPE), Darwin)
  CFLAGS += -DDARWIN
endif

ifeq ($(SYSTYPE), AIX)
  CFLAGS += -DAIX
endif

ifeq ($(LOCK), yes)
  CFLAGS += -DLOCKDEV
  LIBS   += -llockdev
endif


# USB specific flags
ds2490:  CFLAGS += -DOWUSB
ds2490:  LIBS   += -lusb


help:
	@echo "  SYSTYPE = $(SYSTYPE)"
	@echo "  CFLAGS = $(CFLAGS)"
	@echo "  LIBS   = $(LIBS)"
	@echo ""
	@echo "Pick one of the following targets:"
	@echo -e "\tmake ds9097\t- Build version for DS9097 (passive)"
	@echo -e "\tmake ds9097u\t- Build version for DS9097U"
	@echo -e "\tmake ds2490\t- Build version for DS2490 (USB) (edit Makefile) (BROKEN)"
	@echo " "
	@echo ""
	@echo "Please note: You must use GNU make to compile digitemp"
	@echo ""

all:		help


# Build the Linux executable
ds9097:		$(OBJS) $(HDRS) $(ONEWIREOBJS) $(ONEWIREHDRS) $(DS9097OBJS)
		$(CC) $(OBJS) $(ONEWIREOBJS) $(DS9097OBJS) -o digitemp_DS9097 $(LIBS)

ds9097u:	$(OBJS) $(HDRS) $(ONEWIREOBJS) $(ONEWIREHDRS) $(DS9097UOBJS)
		$(CC) $(OBJS) $(ONEWIREOBJS) $(DS9097UOBJS) -o digitemp_DS9097U $(LIBS)

ds2490:		$(OBJS) $(HDRS) $(ONEWIREOBJS) $(ONEWIREHDRS) $(DS2490OBJS)
		$(CC) $(OBJS) $(ONEWIREOBJS) $(DS2490OBJS) -o digitemp_DS2490 $(LIBS)


# Clean up the object files and the sub-directory for distributions
clean:
		rm -f *~ src/*~ userial/*~ userial/ds9097/*~ userial/ds9097u/*~ userial/ds2490/*~
		rm -f $(OBJS) $(ONEWIREOBJS) $(DS9097OBJS) $(DS9097UOBJS) $(DS2490OBJS)
		rm -f core *.asc 
		rm -f perl/*~ rrdb/*~ .digitemprc digitemp-$(VERSION)-1.spec
		rm -rf digitemp-$(VERSION)

# Sign the binaries using gpg (www.gnupg.org)
# My key is available from www.brianlane.com
sign:
		gpg -ba digitemp_DS*
		echo

# Install digitemp into /usr/local/bin
install:	digitemp
		install -b -o root -g bin digitemp /usr/local/bin

# Build the archive of everything
archive:	clean
		cd .. && tar cvzf digitemp-$(VERSION).tar.gz digitemp-$(VERSION)/* --exclude *.o

# Build the source distribution
source:		archive

dist_ds9097:	ds9097 sign archive
		cd .. && mv digitemp-$(VERSION).tar.gz digitemp-$(VERSION)-ds9097.tar.gz

dist_ds9097u:	ds9097u sign archive
		cd .. && mv digitemp-$(VERSION).tar.gz digitemp-$(VERSION)-ds9097u.tar.gz

dist_ds2490:	ds2490 sign archive
		cd .. && mv digitemp-$(VERSION).tar.gz digitemp-$(VERSION)-ds2490.tar.gz

# Build RedHat binary and source RPMs
rpm_ds9097:	source
	su -c "cp ../digitemp-$(VERSION).tar.gz /usr/src/redhat/SOURCES"
	rm -f digitemp-$(VERSION)-1.spec
	ln -s digitemp_9097.spec digitemp-$(VERSION)-1.spec
	su -c "rpmbuild -ba -vv digitemp-$(VERSION)-1.spec"

rpm_ds9097u:	source
	su -c "cp ../digitemp-$(VERSION).tar.gz /usr/src/redhat/SOURCES"
	rm -f digitemp-$(VERSION)-1.spec
	ln -s digitemp_9097u.spec digitemp-$(VERSION)-1.spec
	su -c "rpmbuild -ba -vv digitemp-$(VERSION)-1.spec"

rpm_ds2490:	source
	su -c "cp ../digitemp-$(VERSION).tar.gz /usr/src/redhat/SOURCES"
	rm -f digitemp-$(VERSION)-1.spec
	ln -s digitemp_2490.spec digitemp-$(VERSION)-1.spec
	su -c "rpmbuild -ba -vv digitemp-$(VERSION)-1.spec"

## digitemp 3.5.0ds1

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,15 @@
 #
 # Makefile for DigiTemp
 #
-# Copyright 1996-2004 by Brian C. Lane <bcl@brianlane.com>
+# Copyright 1996-2005 by Brian C. Lane <bcl@brianlane.com>
 # See COPYING for GNU Public License
 #
 # Please note that this Makefile *needs* GNU make. BSD make won't do.
 #
-# To enable USB you need to add -DOWUSB to CFLAGS for the SYSTYPE you are
-# compiling on. Only tested on Linux
-#
-# To disable Lockfile support on Linux, remove the -DLOCKDEV and the
-# -llockdev in the Linux SYSTYPE section
+# To disable Lockfile support on Linux, chenage LOCK to no
 #
 
-VERSION = 3.3.2
+VERSION = 3.5.0
 
 
 CC	= gcc
@@ -57,8 +53,13 @@
   CFLAGS += -DLINUX
 
   # Set LOCK to yes for serial port locking support
-  LOCK = yes
+  LOCK = no
 
+endif
+
+ifneq (, $(findstring CYGWIN,$(SYSTYPE)))
+  CFLAGS += -DCYGWIN
+  LIBS   += -static -static-libgcc
 endif
 
 ifeq ($(SYSTYPE), SunOS)
@@ -146,10 +147,12 @@
 
 # Build the archive of everything
 archive:	clean
-		cd .. && tar cvzf digitemp-$(VERSION).tar.gz digitemp-$(VERSION)/* --exclude *.o
+		cd .. && tar --exclude *.o --exclude .svn -cvzf digitemp-$(VERSION).tar.gz digitemp-$(VERSION)/* 
 
 # Build the source distribution
 source:		archive
+
+dist:		ds9097 ds9097u ds2490 sign archive
 
 dist_ds9097:	ds9097 sign archive
 		cd .. && mv digitemp-$(VERSION).tar.gz digitemp-$(VERSION)-ds9097.tar.gz

=== debian/changelog ===
digitemp (3.5.0ds1-2) unstable; urgency=low

  * Change maintainer to Ryan Finnie, with the blessing of Riccardo 
    Stagni (Closes: #668334)
  * Bump standards version to 3.9.3, Lintian cleanup
    - Change "dh_clean -k" to "dh_prep"
    - Add stub build-arch and build-indep targets
    - Spelling, manpage corrections
  * Increase length of /dev path to 1023 chars (LP: #978294)
  * Update debian/watch
  * Migrate to unified debhelper
  * Migrate to source format 3.0 (quilt)

 -- Ryan Finnie <ryan@finnie.org>  Mon, 16 Apr 2012 20:31:27 -0700

digitemp (3.5.0ds1-1) unstable; urgency=low

  * Taking over Jesus Roncero in maintainership with his permission
  * New upstream release (Closes: #474031)
    (repackaged as the upstream tarball contained the compiled programs, also
    for Windows. The resulting .tar.gz is about half of the original size)
  * Debian packaging remade from scratch
    - Acknowledge NMU (Closes: #461576)
    - debhelper compatibility switched to 7 (previous level undefined)
  * formatting issues in the digitemp.1 manpage (Closes: #350809)
    (also fixes a lintian's warning, thanks to Nicolas François for the patch)
  * Bumped standard version to 3.8.0
    - debian/control: Moved Homepage field from description to source section
    - updated DEB_BUILD_OPTIONS support to debian/rules
    - adjusted Makefile so we can tweak CFLAGS from debian/rules

 -- Riccardo Stagni <unriccio@email.it>  Fri, 18 Jul 2008 00:33:07 +0200

digitemp (3.3.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Removed bashisms from debian/rules (use of {,}). Closes: #315599, #379489.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 19 Jan 2008 17:15:48 +0100

digitemp (3.3.2-2) unstable; urgency=low

  * Added digitemp_DS2490. Patch created by Mikael Mikael Magnusson
    (Closes: bug#269246).
  * Build digitemp for serial and usb adapters in separate build directories,
    since they need different CFLAGS. Thanks to Mikael Magnusson.
  * Flush output after each line. Patch added by Mikael Magnusson.
  * Updated suggests to mysql-server (Closes: bug#269207).
  * Updated watch file.

 -- Jesus Roncero <jesus@roncero.org>  Wed, 01 Sep 2004 01:34:37 +0200

digitemp (3.3.2-1) unstable; urgency=low

  * Initial release (Closes: bug#226890).

 -- Jesus Roncero <jesus@roncero.org>  Fri, 23 Jul 2004 10:27:19 +0200

=== debian/control ===
Source: digitemp
Section: electronics
Priority: optional
Maintainer: Ryan Finnie <ryan@finnie.org>
Build-Depends: debhelper (>= 7.0.50~), liblockdev1-dev, libusb-dev
Standards-Version: 3.9.3
Homepage: http://www.digitemp.com
XS-Dm-Upload-Allowed: yes

Package: digitemp
Architecture: any
Suggests: rrdtool, python, mysql-server
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: read temperature sensors in a 1-Wire net
 Digitemp is a program that reads data coming from a 1-Wire network using
 a passive adapter (DS9097) or the newer active adapter (DS9097U), 
 connected to a serial port. It also supports reading from USB adaptors 
 like the DS2490. Basically it reads temperature sensors, but others 
 are supported, like a humidity sensor.
 .
 Digitemp also supports branched networks using DS2409 couplers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	mkdir -p build-serial/src build-serial/userial/ds9097 build-serial/userial/ds9097u
	$(MAKE) -C build-serial -f ../Makefile DEBCFLAGS="$(CFLAGS)" SRCDIR=.. ds9097 ds9097u

	mkdir -p build-usb/src build-usb/userial/ds2490
	$(MAKE) -C build-usb    -f ../Makefile DEBCFLAGS="$(CFLAGS)" SRCDIR=.. ds2490

override_dh_auto_install:
	install -m 0755 -d debian/digitemp/usr/bin
	install -m 0755 build-serial/digitemp_DS9097 debian/digitemp/usr/bin
	install -m 0755 build-serial/digitemp_DS9097U debian/digitemp/usr/bin
	install -m 0755 build-usb/digitemp_DS2490 debian/digitemp/usr/bin

override_dh_installman:
	dh_installman digitemp.1
	dh_link usr/share/man/man1/digitemp.1.gz usr/share/man/man1/digitemp_DS9097.1.gz
	dh_link usr/share/man/man1/digitemp.1.gz usr/share/man/man1/digitemp_DS9097U.1.gz
	dh_link usr/share/man/man1/digitemp.1.gz usr/share/man/man1/digitemp_DS2490.1.gz

override_dh_auto_clean:
	rm -rf build-serial
	rm -rf build-usb
	$(MAKE) clean

=== debian/watch ===
version=3
opts="dversionmangle=s/ds\d+$//" \
http://www.digitemp.com/software.shtml .*?/digitemp-([\d.]*?)\.tar\.gz

## digitemp 3.6.0+dfsg1

=== Makefile ===
--- 
+++ 
@@ -9,14 +9,12 @@
 # To disable Lockfile support on Linux, chenage LOCK to no
 #
 
-VERSION = 3.5.0
-
+VERSION = 3.6.0
 
 CC	= gcc
-CFLAGS	= -I./src -I./userial -O2 # -g -Wall
-LIBS	= -lm
+CFLAGS	= -I./src -I./userial -O2 -Wall # -g
 
-OBJS		=	src/digitemp.o src/device_name.o
+OBJS		=	src/digitemp.o src/device_name.o src/ds2438.o
 HDRS		= 	src/digitemp.h src/device_name.h
 
 # Common userial header/source
@@ -162,23 +160,3 @@
 
 dist_ds2490:	ds2490 sign archive
 		cd .. && mv digitemp-$(VERSION).tar.gz digitemp-$(VERSION)-ds2490.tar.gz
-
-# Build RedHat binary and source RPMs
-rpm_ds9097:	source
-	su -c "cp ../digitemp-$(VERSION).tar.gz /usr/src/redhat/SOURCES"
-	rm -f digitemp-$(VERSION)-1.spec
-	ln -s digitemp_9097.spec digitemp-$(VERSION)-1.spec
-	su -c "rpmbuild -ba -vv digitemp-$(VERSION)-1.spec"
-
-rpm_ds9097u:	source
-	su -c "cp ../digitemp-$(VERSION).tar.gz /usr/src/redhat/SOURCES"
-	rm -f digitemp-$(VERSION)-1.spec
-	ln -s digitemp_9097u.spec digitemp-$(VERSION)-1.spec
-	su -c "rpmbuild -ba -vv digitemp-$(VERSION)-1.spec"
-
-rpm_ds2490:	source
-	su -c "cp ../digitemp-$(VERSION).tar.gz /usr/src/redhat/SOURCES"
-	rm -f digitemp-$(VERSION)-1.spec
-	ln -s digitemp_2490.spec digitemp-$(VERSION)-1.spec
-	su -c "rpmbuild -ba -vv digitemp-$(VERSION)-1.spec"
-

=== debian/changelog ===
digitemp (3.6.0+dfsg1-2) unstable; urgency=low

  * Replace lockdev usage with flock (Closes: #728018)
  * Bump standards version to 3.9.4, no change

 -- Ryan Finnie <ryan@finnie.org>  Sat, 09 Nov 2013 21:40:03 +0000

digitemp (3.6.0+dfsg1-1) unstable; urgency=low

  * Digitemp 3.6.0 (binaries removed) (Closes: #579313)
  * Add hardening compilation
  * Add README.source, explaining tarball rebuild
  * Remove XS-Dm-Upload-Allowed (no longer used)
  * Version control debian/ (bzr)
  * Turn off optimizations on AMD64 to avoid breaking DS2490
    (Closes: #585431) (LP: #452177)
  * Flush logs when running non-interactive (Closes: #691069)

 -- Ryan Finnie <ryan@finnie.org>  Sun, 09 Dec 2012 19:03:19 -0800

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: electronics
 Priority: optional
 Maintainer: Ryan Finnie <ryan@finnie.org>
-Build-Depends: debhelper (>= 7.0.50~), liblockdev1-dev, libusb-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~), libusb-dev
+Standards-Version: 3.9.4
 Homepage: http://www.digitemp.com
-XS-Dm-Upload-Allowed: yes
+Vcs-Browser: https://code.launchpad.net/~fo0bar/digitemp/digitemp-pkg-debian
+Vcs-Bzr: http://bazaar.launchpad.net/~fo0bar/digitemp/digitemp-pkg-debian
 
 Package: digitemp
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,27 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# Turn off optimizations on AMD64 to avoid breaking DS2490
+# (Debian Bug #585431, LP: #452177)
+ifneq (,$(filter amd64,$(DEB_HOST_ARCH_CPU)))
+	DEB_CFLAGS_MAINT_STRIP="-O2"
+	DEB_CFLAGS_MAINT_PREPEND="-O0"
+endif
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell DEB_CFLAGS_MAINT_STRIP="$(DEB_CFLAGS_MAINT_STRIP)" DEB_CFLAGS_MAINT_PREPEND="$(DEB_CFLAGS_MAINT_PREPEND)" dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
 %:
 	dh $@
 
 override_dh_auto_build:
 	mkdir -p build-serial/src build-serial/userial/ds9097 build-serial/userial/ds9097u
-	$(MAKE) -C build-serial -f ../Makefile DEBCFLAGS="$(CFLAGS)" SRCDIR=.. ds9097 ds9097u
+	$(MAKE) -C build-serial -f ../Makefile CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" SRCDIR=.. ds9097 ds9097u
 
 	mkdir -p build-usb/src build-usb/userial/ds2490
-	$(MAKE) -C build-usb    -f ../Makefile DEBCFLAGS="$(CFLAGS)" SRCDIR=.. ds2490
+	$(MAKE) -C build-usb    -f ../Makefile CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" SRCDIR=.. ds2490
 
 override_dh_auto_install:
 	install -m 0755 -d debian/digitemp/usr/bin
@@ -30,3 +42,4 @@
 	rm -rf build-serial
 	rm -rf build-usb
 	$(MAKE) clean
+	dh_clean

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d+$//" \
http://www.digitemp.com/software.shtml .*?/digitemp-([\d.]*?)\.tar\.gz

## digitemp 3.7.1

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,23 @@
 #
 # Makefile for DigiTemp
 #
-# Copyright 1996-2005 by Brian C. Lane <bcl@brianlane.com>
+# Copyright 1996-2015 by Brian C. Lane <bcl@brianlane.com>
 # See COPYING for GNU Public License
 #
 # Please note that this Makefile *needs* GNU make. BSD make won't do.
 #
-# To disable Lockfile support on Linux, chenage LOCK to no
-#
 
-VERSION = 3.6.0
+VERSION = 3.7.1
 
-CC	= gcc
-CFLAGS	= -I./src -I./userial -O2 -Wall # -g
+SRCDIR	= $(CURDIR)
+VPATH	= $(SRCDIR)
+
+# May be overridden by the command line
+CFLAGS ?= -O2 -Wall # -g
+
+# Mandatory additions to CFLAGS
+EXTRACFLAGS	= -I$(SRCDIR)/src -I$(SRCDIR)/userial
+override CFLAGS	+= $(EXTRACFLAGS)
 
 OBJS		=	src/digitemp.o src/device_name.o src/ds2438.o
 HDRS		= 	src/digitemp.h src/device_name.h
@@ -47,53 +52,31 @@
 # -----------------------------------------------------------------------
 SYSTYPE := $(shell uname -s)
 
-ifeq ($(SYSTYPE), Linux)
-  CFLAGS += -DLINUX
-
-  # Set LOCK to yes for serial port locking support
-  LOCK = no
-
-endif
-
 ifneq (, $(findstring CYGWIN,$(SYSTYPE)))
-  CFLAGS += -DCYGWIN
+  EXTRACFLAGS += -DCYGWIN
   LIBS   += -static -static-libgcc
 endif
 
 ifeq ($(SYSTYPE), SunOS)
-  CFLAGS += -DSOLARIS
+  EXTRACFLAGS += -DSOLARIS
   LIBS   += -lposix4
 endif
 
 ifeq ($(SYSTYPE), FreeBSD)
-  CFLAGS += -DFREEBSD
-endif
-
-ifeq ($(SYSTYPE), OpenBSD)
-  CFLAGS += -DOPENBSD
-endif
-
-# Untested, but should work.
-ifeq ($(SYSTYPE), NetBSD)
-  CFLAGS += -DNETBSD
+  EXTRACFLAGS += -DFREEBSD
 endif
 
 ifeq ($(SYSTYPE), Darwin)
-  CFLAGS += -DDARWIN
+  EXTRACFLAGS += -DDARWIN
 endif
 
 ifeq ($(SYSTYPE), AIX)
-  CFLAGS += -DAIX
-endif
-
-ifeq ($(LOCK), yes)
-  CFLAGS += -DLOCKDEV
-  LIBS   += -llockdev
+  EXTRACFLAGS += -DAIX
 endif
 
 
 # USB specific flags
-ds2490:  CFLAGS += -DOWUSB
+ds2490:  EXTRACFLAGS += -DOWUSB
 ds2490:  LIBS   += -lusb
 
 
@@ -116,13 +99,13 @@
 
 # Build the Linux executable
 ds9097:		$(OBJS) $(HDRS) $(ONEWIREOBJS) $(ONEWIREHDRS) $(DS9097OBJS)
-		$(CC) $(OBJS) $(ONEWIREOBJS) $(DS9097OBJS) -o digitemp_DS9097 $(LIBS)
+		$(CC) $(OBJS) $(ONEWIREOBJS) $(DS9097OBJS) -o digitemp_DS9097 $(LDFLAGS) $(LIBS)
 
 ds9097u:	$(OBJS) $(HDRS) $(ONEWIREOBJS) $(ONEWIREHDRS) $(DS9097UOBJS)
-		$(CC) $(OBJS) $(ONEWIREOBJS) $(DS9097UOBJS) -o digitemp_DS9097U $(LIBS)
+		$(CC) $(OBJS) $(ONEWIREOBJS) $(DS9097UOBJS) -o digitemp_DS9097U $(LDFLAGS) $(LIBS)
 
 ds2490:		$(OBJS) $(HDRS) $(ONEWIREOBJS) $(ONEWIREHDRS) $(DS2490OBJS)
-		$(CC) $(OBJS) $(ONEWIREOBJS) $(DS2490OBJS) -o digitemp_DS2490 $(LIBS)
+		$(CC) $(OBJS) $(ONEWIREOBJS) $(DS2490OBJS) -o digitemp_DS2490 $(LDFLAGS) $(LIBS)
 
 
 # Clean up the object files and the sub-directory for distributions
@@ -134,10 +117,14 @@
 		rm -rf digitemp-$(VERSION)
 
 # Sign the binaries using gpg (www.gnupg.org)
-# My key is available from www.brianlane.com
+# My key is available from the keyservers or
+# https://www.brianlane.com/0xD29845A70F5017DE.txt
 sign:
 		gpg -ba digitemp_DS*
 		echo
+
+tag:
+		git tag -s -u 0x3085CEE24BECD24B -m "Tag as v$(VERSION)" v$(VERSION)
 
 # Install digitemp into /usr/local/bin
 install:	digitemp
@@ -145,7 +132,9 @@
 
 # Build the archive of everything
 archive:	clean
-		cd .. && tar --exclude *.o --exclude .svn -cvzf digitemp-$(VERSION).tar.gz digitemp-$(VERSION)/* 
+		git archive --format=tar --prefix=digitemp-$(VERSION)/ v$(VERSION) > v$(VERSION).tar
+		gzip -9 v$(VERSION).tar
+		@echo "The archive is in v$(VERSION).tar.gz"
 
 # Build the source distribution
 source:		archive

=== debian/changelog ===
digitemp (3.7.1-2) unstable; urgency=medium

  * [REGRESSION] Re-add VPATH-based compilation via build-serial and
    build-usb to allow digitemp_DS2490 to work correctly.  This method
    was removed in 3.7.1-1 but is still needed.  Description of problem
    can be found at https://bugzilla.redhat.com/show_bug.cgi?id=517284

 -- Ryan Finnie <ryan@finnie.org>  Sun, 13 Dec 2015 07:13:07 +0000

digitemp (3.7.1-1) unstable; urgency=medium

  * New upstream release
    * Upstream tarball is now DFSG-free
    * No remaining downstream patches
    * AMD64 -O0 hack is no longer needed
    * debian/watch: Monitor github tags
  * Use debhelper level 9
  * Convert debian/copyright to dep5

 -- Ryan Finnie <ryan@finnie.org>  Sat, 12 Dec 2015 23:08:15 +0000

digitemp (3.6.0+dfsg1-5) unstable; urgency=medium

  * Platform handling adjustments; fix FTBFS on Hurd/kFreeBSD

 -- Ryan Finnie <ryan@finnie.org>  Sat, 05 Dec 2015 06:53:22 +0000

digitemp (3.6.0+dfsg1-4) unstable; urgency=medium

  * Update Vcs location
  * Properly reset the 1-Wire bus on DS2490 (LP: #1397382)
  * Bump standards version to 3.9.6, no change

 -- Ryan Finnie <ryan@finnie.org>  Sun, 29 Nov 2015 02:43:36 +0000

digitemp (3.6.0+dfsg1-3) unstable; urgency=low

  * Fix SetBaudCOM conflicting parameter types (Closes: #748036)
  * Add lintian override for hardening-no-fortify-functions
  * Bump standards version to 3.9.5, no change

 -- Ryan Finnie <ryan@finnie.org>  Tue, 13 May 2014 18:45:33 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: electronics
 Priority: optional
 Maintainer: Ryan Finnie <ryan@finnie.org>
-Build-Depends: debhelper (>= 7.0.50~), libusb-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), libusb-dev
+Standards-Version: 3.9.6
 Homepage: http://www.digitemp.com
-Vcs-Browser: https://code.launchpad.net/~fo0bar/digitemp/digitemp-pkg-debian
-Vcs-Bzr: http://bazaar.launchpad.net/~fo0bar/digitemp/digitemp-pkg-debian
+Vcs-Browser: https://github.com/rfinnie/digitemp-pkg-debian
+Vcs-Git: https://github.com/rfinnie/digitemp-pkg-debian
 
 Package: digitemp
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	mkdir -p build-serial/src build-serial/userial/ds9097 build-serial/userial/ds9097u
	$(MAKE) -C build-serial -f ../Makefile SRCDIR=.. ds9097 ds9097u

	mkdir -p build-usb/src build-usb/userial/ds2490
	$(MAKE) -C build-usb    -f ../Makefile SRCDIR=.. ds2490

override_dh_auto_install:
	install -m 0755 -d debian/digitemp/usr/bin
	install -m 0755 build-serial/digitemp_DS9097 debian/digitemp/usr/bin
	install -m 0755 build-serial/digitemp_DS9097U debian/digitemp/usr/bin
	install -m 0755 build-usb/digitemp_DS2490 debian/digitemp/usr/bin

override_dh_installman:
	dh_installman digitemp.1
	dh_link usr/share/man/man1/digitemp.1.gz usr/share/man/man1/digitemp_DS9097.1.gz
	dh_link usr/share/man/man1/digitemp.1.gz usr/share/man/man1/digitemp_DS9097U.1.gz
	dh_link usr/share/man/man1/digitemp.1.gz usr/share/man/man1/digitemp_DS2490.1.gz

override_dh_auto_clean:
	rm -rf build-serial
	rm -rf build-usb
	$(MAKE) clean
	dh_clean

## digitemp 3.7.2

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 #
 # Makefile for DigiTemp
 #
-# Copyright 1996-2015 by Brian C. Lane <bcl@brianlane.com>
-# See COPYING for GNU Public License
+# Copyright 1996-2018 by Brian C. Lane <bcl@brianlane.com>
+# See COPYING for GNU General Public License
 #
 # Please note that this Makefile *needs* GNU make. BSD make won't do.
 #
 
-VERSION = 3.7.1
+VERSION=$(shell awk '/Version:/ { print $$2 }' digitemp.spec)
 
 SRCDIR	= $(CURDIR)
 VPATH	= $(SRCDIR)
@@ -136,6 +136,22 @@
 		gzip -9 v$(VERSION).tar
 		@echo "The archive is in v$(VERSION).tar.gz"
 
+rpmlog:
+		@git log --pretty="format:- %s (%ae)" v$(VERSION).. |sed -e 's/@.*)/)/' | grep -v "Merge pull request"
+
+bumpver:
+		@NEWSUBVER=$$((`echo $(VERSION) |cut -d . -f 3` + 1)) ; \
+		NEWVERSION=`echo $(VERSION).$$NEWSUBVER |cut -d . -f 1,2,4` ; \
+		DATELINE="* `date "+%a %b %d %Y"` `git config user.name` <`git config user.email`>  - $$NEWVERSION-1"  ; \
+		cl=`grep -n %changelog digitemp.spec |cut -d : -f 1` ; \
+		tail --lines=+$$(($$cl + 1)) digitemp.spec > speclog ; \
+		(head -n $$cl digitemp.spec ; echo "$$DATELINE" ; make --quiet rpmlog 2>/dev/null ; echo ""; cat speclog) > digitemp.spec.new ; \
+		mv digitemp.spec.new digitemp.spec ; rm -f speclog ; \
+		sed -i "s/Version:.*$(VERSION)/Version:           $$NEWVERSION/" digitemp.spec ; \
+		sed -i "s/$(VERSION)/$$NEWVERSION/" README ; \
+		sed -i "s/$(VERSION)/$$NEWVERSION/" COPYRIGHT ; \
+		sed -i "s/$(VERSION)/$$NEWVERSION/" ./src/digitemp.h
+
 # Build the source distribution
 source:		archive

=== debian/changelog ===
digitemp (3.7.2-3) unstable; urgency=medium

  * Apply upstream commit fa56b0f to fix GCC-15 ftbfs
    (Closes: #1096525)

 -- Ryan Finnie <ryan@finnie.org>  Fri, 05 Sep 2025 21:06:12 -0700

digitemp (3.7.2-2) unstable; urgency=medium

  * Remove DS2490 / libusb 0.1 support (Closes: #810407)
  * Vcs: Use salsa.debian.org
  * Bump debhelper to 13, Standards-Version 4.5.1
  * Update Homepage to https
  * Fix lintian trailing-whitespace debian/changelog
  * Fix lintian insecure-copyright-format-uri
  * Set Rules-Requires-Root: no

 -- Ryan Finnie <ryan@finnie.org>  Thu, 27 May 2021 12:15:55 -0700

digitemp (3.7.2-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #914824)

  [ Ryan Finnie ]
  * New upstream release
  * Bump standards version to 4.2.1
  * Fix depends-on-obsolete-package suggests:
    mysql-server => default-mysql-server

 -- Ryan Finnie <ryan@finnie.org>  Wed, 28 Nov 2018 06:43:30 +0000

=== debian/control ===
Source: digitemp
Section: electronics
Priority: optional
Maintainer: Ryan Finnie <ryan@finnie.org>
Build-Depends: debhelper, debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://www.digitemp.com/
Vcs-Browser: https://salsa.debian.org/rfinnie/digitemp-pkg-debian
Vcs-Git: https://salsa.debian.org/rfinnie/digitemp-pkg-debian.git

Package: digitemp
Architecture: any
Suggests: rrdtool, python, default-mysql-server
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: read temperature sensors in a 1-Wire net
 Digitemp is a program that reads data coming from a 1-Wire network using
 a passive adapter (DS9097) or the newer active adapter (DS9097U),
 connected to a serial port. Basically it reads temperature sensors, but
 others are supported, like a humidity sensor.
 .
 Digitemp also supports branched networks using DS2409 couplers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=makefile

override_dh_auto_build:
	mkdir -p build-serial/src build-serial/userial/ds9097 build-serial/userial/ds9097u
	dh_auto_build --builddirectory=build-serial -- -f ../Makefile SRCDIR=.. ds9097 ds9097u

override_dh_auto_install:
	install -m 0755 -d debian/digitemp/usr/bin
	install -m 0755 build-serial/digitemp_DS9097 debian/digitemp/usr/bin
	install -m 0755 build-serial/digitemp_DS9097U debian/digitemp/usr/bin

override_dh_installman:
	dh_installman digitemp.1
	dh_link usr/share/man/man1/digitemp.1.gz usr/share/man/man1/digitemp_DS9097.1.gz
	dh_link usr/share/man/man1/digitemp.1.gz usr/share/man/man1/digitemp_DS9097U.1.gz

override_dh_auto_clean:
	rm -rf build-serial
	$(MAKE) clean
	dh_clean

=== debian/watch ===
# See uscan(1) for format
version=3
https://github.com/bcl/digitemp/releases \
  /bcl/digitemp/archive/v(.*).tar\.gz
